Exposure¶
Calculates the delta-adjusted notional exposure of each security, converted to the base currency of the portfolio.
To compute the exposures for a portfolio, make an HTTP POST to your calculation resource URI:
HTTP Request
POST /calculations/exposure
HTTP Parameters
| Parameter | Description |
|---|---|
portfolio_id string |
optional The ID of an existing portfolio. When provided, the calculation will use the portfolio's securities, date, base currency, and NLV. The securities parameter is no longer required. |
securities array |
REQUIRED * An array of objects describing the securities in the portfolio. Each object includes a unique id, symbol, quantity, and label. For more details click here. * Not required if portfolio_id is provided. |
date string date |
optional, default is null (today) Portfolio date in the format: YYYYMMDD. This instructs the API to use the market conditions and security prices prevailing on that date. Historical portfolios will be calculated without look ahead. To run the portfolio using today’s conditions, use null. |
base_currency string |
optional, default is USD 3-letter ISO 4217 currency code. Portfolios can have their base currency changed via the API. Changing the base currency automatically incorporates currency risks. See supported currencies here. |
nlv file |
optional, default is null (calculated) The net liquidating value (NAV) of the portfolio. If not supplied, the API calculates it from all cash securities. Securities traded on margin are assumed to have NLV zero. Providing an NLV reconciles the margin. |
sampling integer |
optional, default is 1 Frequency of historical data sampling. Use 1 for daily, 5 for weekly (non-overlapping). Accepts: 1 or 5. |
aggregation string |
optional, default is position (no aggregation) Aggregates security MCTR’s according to criteria: custom, position, country, sector, gics_sector, market_capitalization, liquidity, implied_rating, duration, security_type, security_type_refined, dividend_yield, exposure, currency, fixed_income, total_esg. More info here. |
filter string |
optional, default is null (use the whole portfolio) Filter expression to select identifiers that meet criteria. For example: only fixed income securities. Calculations are performed on the whole portfolio but results are displayed only for the filtered subset. See Filter Expression. |
To calculate the exposure, run the following:
The above call returns the following JSON object:
{
"exposure": {
"unmapped_tickers": [],
"results": [
{
"notional": 133980.0,
"beta_notional": [
{
"projection": "IND:SPX",
"value": 144201.42194706676
},
{
"projection": "residual",
"value": -10221.42194706676
}
],
"id": "id1",
"notional_gross": 133980.0
},
{
"notional": 122421.00149999997,
"beta_notional": [
{
"projection": "IND:SPX",
"value": 127031.28308587175
},
{
"projection": "residual",
"value": -4610.28158587178
}
],
"id": "id2",
"notional_gross": 122421.00149999997
}
],
"nlv": 256401.00149999995
}
}